#include <m_pd.h>

static t_class *external_class;

typedef struct _external {
  t_object obj;
} t_external;

static void* external_new(t_symbol *s, int argc, t_atom *argv) {
  t_external *x = (t_external *) pd_new(external_class);
  post("%s", s->s_name);
  return x;
}

extern void external_setup(void) {
  external_class = class_new(
    gensym("external"),
    (t_newmethod) external_new,
    0,
    sizeof(struct _external),
    CLASS_NOINLET,
    A_GIMME,
    0
  );
}
